Subject: Re: linux-next: manual merge of the drm-misc tree with Linus' tree

From: Stephen Rothwell <[email-masked]>
Date: Thu, 23 May 2019 19:34:02 +1000

Hi Maxime,

On Thu, 23 May 2019 10:10:22 +0200 Maxime Ripard <[email-masked]> wrote:
>
> Hi Stephen,
> 
> On Tue, May 21, 2019 at 10:51:51AM +1000, Stephen Rothwell wrote:
> > Hi all,
> >
> > Today's linux-next merge of the drm-misc tree got a conflict in:
> >
> >   Documentation/devicetree/bindings/vendor-prefixes.txt
> >
> > between commit:
> >
> >   8122de54602e ("dt-bindings: Convert vendor prefixes to json-schema")
> >
> > from Linus' tree and commits:
> >
> >   b4a2c0055a4f ("dt-bindings: Add vendor prefix for VXT Ltd")
> >   b1b0d36bdb15 ("dt-bindings: drm/panel: simple: Add binding for TFC S9700RTWV43TR-01B")
> >   fbd8b69ab616 ("dt-bindings: Add vendor prefix for Evervision Electronics")
> >
> > from the drm-misc tree.
> >
> > I fixed it up (I deleted the file and added the patch below) and can
> > carry the fix as necessary. This is now fixed as far as linux-next is
> > concerned, but any non trivial conflicts should be mentioned to your
> > upstream maintainer when your tree is submitted for merging.  You may
> > also want to consider cooperating with the maintainer of the conflicting
> > tree to minimise any particularly complex conflicts.
> >
> > --
> > Cheers,
> > Stephen Rothwell
> >
> > From: Stephen Rothwell <[email-masked]>
> > Date: Tue, 21 May 2019 10:48:36 +1000
> > Subject: [PATCH] dt-bindings: fix up for vendor prefixes file conversion
> >
> > Signed-off-by: Stephen Rothwell <[email-masked]>
> > ---
> >  Documentation/devicetree/bindings/vendor-prefixes.yaml | 6 ++++++
> >  1 file changed, 6 insertions(+)
> >
> > diff --git a/Documentation/devicetree/bindings/vendor-prefixes.yaml b/Documentation/devicetree/bindings/vendor-prefixes.yaml
> > index 83ca4816a78b..749e3c3843d0 100644
> > --- a/Documentation/devicetree/bindings/vendor-prefixes.yaml
> > +++ b/Documentation/devicetree/bindings/vendor-prefixes.yaml
> > @@ -287,6 +287,8 @@ patternProperties:
> >      description: Everest Semiconductor Co. Ltd.
> >    "^everspin,.*":
> >      description: Everspin Technologies, Inc.
> > +  "^evervision,.*":
> > +    description: Evervision Electronics Co. Ltd.
> >    "^exar,.*":
> >      description: Exar Corporation
> >    "^excito,.*":
> > @@ -851,6 +853,8 @@ patternProperties:
> >      description: Shenzhen Techstar Electronics Co., Ltd.
> >    "^terasic,.*":
> >      description: Terasic Inc.
> > +  "^tfc,.*":
> > +    description: Three Five Corp
> >    "^thine,.*":
> >      description: THine Electronics, Inc.
> >    "^ti,.*":
> > @@ -925,6 +929,8 @@ patternProperties:
> >      description: Voipac Technologies s.r.o.
> >    "^vot,.*":
> >      description: Vision Optical Technology Co., Ltd.
> > +  "^vxt,.*"
> > +    description: VXT Ltd  
> 
> I'm not sure whether or not you can change it, but this breaks the
> users of that file.
> 
> What you want is:
> 
> - "^vxt,.*"
> + "^vxt,.*:"

I have fixed my version (but I put the ':' after the '"' like the
others).

Thanks for letting me know.
-- 
Cheers,
Stephen Rothwell